Name:       perl-RT-Client-REST 
Version:    0.43 
Release:    2%{?dist}
# lib/RT/Client/REST.pm -> GPLv2
# see also /usr/bin/rt from the rt3 package
License:    GPLv2
Group:      Development/Libraries
Summary:    Talk to RT using REST protocol 
Url:        http://search.cpan.org/dist/RT-Client-REST
Source:     http://search.cpan.org/CPAN/authors/id/J/JL/JLMARTIN/RT-Client-REST-%{version}.tar.gz 
BuildArch:  noarch
BuildRequires:  perl(inc::Module::Install) >= 0.91
# Run-time
BuildRequires:  perl(base)
BuildRequires:  perl(Error)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTTP::Request::Common)
#BuildRequires: perl(LWP::Simple)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(Params::Validate)
# Tests
BuildRequires:  perl(constant)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Exception)
# Optional tests
BuildRequires:  perl(Test::Kwalitee)
BuildRequires:  perl(Test::Pod) >= 1.00
BuildRequires:  perl(Test::Pod::Coverage) >= 1.00
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
RT::Client::REST is /usr/bin/rt converted to a Perl module. I needed
to implement some RT interactions from my application, but did not feel
that invoking a shell command is appropriate. Thus, I took rt tool,
written by Abhijit Menon-Sen, and converted it to an object-oriented
Perl module.

%prep
%setup -q -n RT-Client-REST-%{version}
for F in CHANGES; do
    iconv -f iso8859-1 -t utf-8 < "$F" > "${F}.new"
    touch -r "$F" "${F}.new"
    mv "${F}.new" "$F"
done 
# Remove bundled Module::Install
rm -r inc

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null ';'
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc examples CHANGES README TODO
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Mon Feb 06 2012 Petr Pisar <ppisar@redhat.com> - 0.43-2
- Enable Test::Kwalitee tests (bug #786849)

* Thu Feb 02 2012 Petr Pisar <ppisar@redhat.com> - 0.43-1
- 0.43 bump
- Disable bogus Test::Kwalitee tests (bug #786849)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.37-8
- Perl mass rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.37-7
- Perl mass rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-5
- 661697 rebuild for fixing problems with vendorach/lib

* Thu May 06 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.37-4
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.37-3
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Apr 20 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.37-1
- submission

* Sat Apr 18 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.37-0
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.8)

